﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace DockManagerNew
{
    public partial class Form1 : Form
    {
        public Control treeView1 { get; set; }
        public Control treeView2 { get; set; }

        public Control treeView1Top { get; set; }
        public Control treeView2Top { get; set; }


        private ContainerControl container;
        private ContainerControl containerTop;
        private UltraDockManager ultraDockManager;
        private UltraDockManager ultraDockManagerTop;
        public Form1()
        {
            InitializeComponent();

            /////////////////////////////////////
            /////////////////////////////////////
            /// BOTTOM AREA
            /////////////////////////////////////
            /////////////////////////////////////
            container = new ContainerControl();
            container.Size = new System.Drawing.Size(splitContainer1.Panel2.Bounds.Width, splitContainer1.Panel2.Bounds.Height);
            container.Dock = DockStyle.Fill;
            container.SetBounds(splitContainer1.Panel2.Bounds.X, splitContainer1.Panel2.Bounds.Y, splitContainer1.Panel2.Bounds.Width, splitContainer1.Panel2.Bounds.Height);
            container.Parent = splitContainer1.Panel2;// this;
            container.BackColor = Color.Red;


            //Create UltraDockManager
            ultraDockManager = new UltraDockManager(container.Container);
            Infragistics.Win.UltraWinDock.UnpinnedTabArea aleft = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.UnpinnedTabArea aright = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.UnpinnedTabArea abottom = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.UnpinnedTabArea atop = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.AutoHideControl acontrl = new AutoHideControl();
            ultraDockManager.HostControl = container;

            //UnpinnedTabAreaLeft
            aleft.Dock = System.Windows.Forms.DockStyle.Left;
            aleft.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            aleft.Location = new System.Drawing.Point(0, 0);
            aleft.Name = "_Form1UnpinnedTabAreaLeft";
            aleft.Owner = this.ultraDockManager;
            aleft.Size = new System.Drawing.Size(0, 359);
            aleft.TabIndex = 0;


            //UnpinnedTabAreaRight
            aright.Dock = System.Windows.Forms.DockStyle.Right;
            aright.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            aright.Location = new System.Drawing.Point(609, 0);
            aright.Name = "_Form1UnpinnedTabAreaRight";
            aright.Owner = this.ultraDockManager;
            aright.Size = new System.Drawing.Size(0, 359);
            aright.TabIndex = 1;
             
            
            //UnpinnedTabAreaTop
            atop.Dock = System.Windows.Forms.DockStyle.Top;
            atop.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            atop.Location = new System.Drawing.Point(0, 0);
            atop.Name = "_Form1UnpinnedTabAreaTop";
            atop.Owner = this.ultraDockManager;
            atop.Size = new System.Drawing.Size(609, 0);
            atop.TabIndex = 2;

            //UnpinnedTabAreaBottom
            abottom.Dock = System.Windows.Forms.DockStyle.Bottom;
            abottom.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            abottom.Location = new System.Drawing.Point(0, 359);
            abottom.Name = "_Form1UnpinnedTabAreaBottom";
            abottom.Owner = this.ultraDockManager;
            abottom.Size = new System.Drawing.Size(609, 0);
            abottom.TabIndex = 3;

            //UnpinnedTabAreaControl
            acontrl.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            acontrl.Location = new System.Drawing.Point(0, 0);
            acontrl.Name = "_Form1AutoHideControl";
            acontrl.Owner = this.ultraDockManager;
            acontrl.Size = new System.Drawing.Size(0, 0);
            acontrl.TabIndex = 4;

            container.Controls.Add(aleft);
            container.Controls.Add(aright);
            container.Controls.Add(atop);
            container.Controls.Add(abottom);
            container.Controls.Add(acontrl);
            
            ultraDockManager.HostControl = container;
            ultraDockManager.CompressUnpinnedTabs = false;

            
            //////////////////////////////////
            //////////////////////////////////
            ///////// TOP AREA
            //////////////////////////////////
            //////////////////////////////////

            containerTop = new ContainerControl();
            containerTop.Size = new System.Drawing.Size(splitContainer1.Panel1.Bounds.Width, splitContainer1.Panel1.Bounds.Height);
            containerTop.Dock = DockStyle.Fill;
            containerTop.SetBounds(splitContainer1.Panel1.Bounds.X, splitContainer1.Panel1.Bounds.Y, splitContainer1.Panel1.Bounds.Width, splitContainer1.Panel1.Bounds.Height);
            containerTop.Parent = splitContainer1.Panel1;// this;
            containerTop.BackColor = Color.Yellow;


            ultraDockManagerTop = new UltraDockManager(containerTop.Container);
            Infragistics.Win.UltraWinDock.UnpinnedTabArea aleftTop = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.UnpinnedTabArea arightTop = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.UnpinnedTabArea abottomTop = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.UnpinnedTabArea atopTop = new UnpinnedTabArea();
            Infragistics.Win.UltraWinDock.AutoHideControl acontrlTop = new AutoHideControl();
            ultraDockManagerTop.HostControl =  containerTop;

            //UnpinnedTabAreaLeft
            aleftTop.Dock = System.Windows.Forms.DockStyle.Left;
            aleftTop.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            aleftTop.Location = new System.Drawing.Point(0, 0);
            aleftTop.Name = "_Form1UnpinnedTabAreaLeftTop";
            aleftTop.Owner = this.ultraDockManager;
            aleftTop.Size = new System.Drawing.Size(0, 359);
            aleftTop.TabIndex = 0;


            //UnpinnedTabAreaRight
            arightTop.Dock = System.Windows.Forms.DockStyle.Right;
            arightTop.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            arightTop.Location = new System.Drawing.Point(609, 0);
            arightTop.Name = "_Form1UnpinnedTabAreaRightTop";
            arightTop.Owner = this.ultraDockManager;
            arightTop.Size = new System.Drawing.Size(0, 359);
            arightTop.TabIndex = 1;


            //UnpinnedTabAreaTop
            atopTop.Dock = System.Windows.Forms.DockStyle.Top;
            atopTop.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            atopTop.Location = new System.Drawing.Point(0, 0);
            atopTop.Name = "_Form1UnpinnedTabAreaTopTop";
            atopTop.Owner = this.ultraDockManager;
            atopTop.Size = new System.Drawing.Size(609, 0);
            atopTop.TabIndex = 2;

            //UnpinnedTabAreaBottom
            abottomTop.Dock = System.Windows.Forms.DockStyle.Bottom;
            abottomTop.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            abottomTop.Location = new System.Drawing.Point(0, 359);
            abottomTop.Name = "_Form1UnpinnedTabAreaBottomTop";
            abottomTop.Owner = this.ultraDockManager;
            abottomTop.Size = new System.Drawing.Size(609, 0);
            abottomTop.TabIndex = 3;

            //UnpinnedTabAreaControl
            acontrlTop.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            acontrlTop.Location = new System.Drawing.Point(0, 0);
            acontrlTop.Name = "_Form1AutoHideControlTop";
            acontrlTop.Owner = this.ultraDockManager;
            acontrlTop.Size = new System.Drawing.Size(0, 0);
            acontrlTop.TabIndex = 4;

            containerTop.Controls.Add(aleftTop);
            containerTop.Controls.Add(arightTop);
            containerTop.Controls.Add(atopTop);
            containerTop.Controls.Add(abottomTop);
            containerTop.Controls.Add(acontrlTop);

            ultraDockManagerTop.HostControl = containerTop;
            ultraDockManagerTop.CompressUnpinnedTabs = false;

        
        }



        private void Form1_Load(object sender, EventArgs e)
        {
            DockableControlPane dcpTreeView = new DockableControlPane("tree", "Tree View", this.treeView1);
            DockableControlPane dcpTreeView1 = new DockableControlPane("tree1", "Tree View1", this.treeView2);
            DockAreaPane dockArea = new DockAreaPane(DockedLocation.DockedLeft);
            dockArea.ChildPaneStyle = ChildPaneStyle.TabGroup;
            dockArea.Panes.Add(dcpTreeView);
            dockArea.Panes.Add(dcpTreeView1);
            ultraDockManager.DockAreas.Add(dockArea);

            DockableControlPane dcpTreeViewTop = new DockableControlPane("treeTop", "Tree ViewTop", this.treeView1Top);
            DockableControlPane dcpTreeView1Top = new DockableControlPane("tree1Top", "Tree View1Top", this.treeView2Top);
            DockAreaPane dockAreaTop = new DockAreaPane(DockedLocation.DockedRight);
            dockAreaTop.ChildPaneStyle = ChildPaneStyle.VerticalSplit;
            dockAreaTop.Panes.Add(dcpTreeViewTop);
            dockAreaTop.Panes.Add(dcpTreeView1Top);

            ultraDockManagerTop.DockAreas.Add(dockAreaTop);
        }
    }
}
